using FCOMMON;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Project._Common
{
    public partial class fNewPassword : fBase
    {
        public string newpassword { get; set; }
        public fNewPassword(string userid)
        {
            InitializeComponent();
            this.tbUserID.Text = userid;   
        }

        private void fNewPassword_Load(object sender, EventArgs e)
        {
            EnsureVisibleAndUsableSize();
            //일반사용자의경우에는 상태를 변경하지 못한다.
            int curLevel = Math.Max(FCOMMON.info.Login.level, FCOMMON.DBM.getAuth(FCOMMON.DBM.eAuthType.account));
            if (curLevel >= 5)
                tbPassO.Enabled = false;
            else
                tbPassO.Enabled = true;

            newpassword = string.Empty;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if(tbPassO.Enabled && tbPassO.Text.isEmpty())
            {
                Util.MsgE("OLd Password Error");
                tbPassO.Focus();
                return;
            }
            if(tbPass1.Text.isEmpty())
            {
                Util.MsgE("NEW Password Error");
                tbPass1.Focus();
                return;
            }
            if(tbPass2.Text.isEmpty())
            {
                Util.MsgE("New Password Verify Error");
                tbPass2.Focus();
                return;
            }
            if(tbPass2.Text != tbPass1.Text)
            {
                Util.MsgE("Password is not Same");
                tbPass2.Focus();
                tbPass2.SelectAll();
                return;
            }
            newpassword = tbPass1.Text.Trim();
            DialogResult = System.Windows.Forms.DialogResult.OK;
        }
    }
}
